Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort

[legend]
Collaboration diagram for CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort (void)
| _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort (CORBA::ULong maximum, CORBA::ULong length, CORBA::UShort *data, CORBA::Boolean release = 0)
| _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort (const _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort &rhs)
_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort& | operator= (const _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort &rhs)
virtual | ~_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort (void)
CORBA::UShort& | operator[] (CORBA::ULong i)
const CORBA::UShort& | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero.
CORBA::UShort* | get_buffer (CORBA::Boolean orphan = 0)
const CORBA::UShort* | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, CORBA::UShort *data, CORBA::Boolean release)
## Static Public Methods
CORBA::UShort* | allocbuf (CORBA::ULong size)
void | freebuf (CORBA::UShort *buffer)

## Constructor & Destructor Documentation

CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort ( | void )

CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort ( | CORBA::ULong maximum )

CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort ( | CORBA::ULong maximum,
| CORBA::ULong length,
| CORBA::UShort * data,
| CORBA::Boolean release = 0 )

CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort ( | const _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort & rhs )

CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::~_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort ( | void )`[virtual]`

## Member Function Documentation

void CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::_allocate_buffer ( | CORBA::ULong length )`[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::_deallocate_buffer ( | void )`[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

CORBA::UShort* CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::allocbuf ( | CORBA::ULong size )`[static]`

void CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::freebuf ( | CORBA::UShort * buffer )`[static]`

const CORBA::UShort* CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::get_buffer ( | void ) const

CORBA::UShort* CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::get_buffer ( | CORBA::Boolean orphan = 0 )

_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort& CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::operator= ( | const _TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort & rhs )

const CORBA::UShort& CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::operator[] ( | CORBA::ULong i ) const

CORBA::UShort& CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::operator[] ( | CORBA::ULong i )

void CORBA_InvalidPolicies::_TAO_Unbounded_Sequence_CORBA_InvalidPolicies__tao_seq_UShort::replace ( | CORBA::ULong max,
| CORBA::ULong length,
| CORBA::UShort * data,
| CORBA::Boolean release )

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp